# QRadialGradient Class Reference

### [com.trolltech.qt.gui package]

Inherits QGradient.

### Constructor

- void QRadialGradient()
- void QRadialGradient(QPointF center, qreal centerRadius, QPointF focalPoint, qreal focalRadius)
- void QRadialGradient(QPointF center, qreal radius)
- void QRadialGradient(QPointF center, qreal radius, QPointF focalPoint)
- void QRadialGradient(qreal cx, qreal cy, qreal centerRadius, qreal fx, qreal fy, qreal focalRadius)
- void QRadialGradient(qreal cx, qreal cy, qreal radius)
- void QRadialGradient(qreal cx, qreal cy, qreal radius, qreal fx, qreal fy)

### Constructor Properties

- prototype: The QRadialGradient prototype object

### Prototype Object Properties

The QRadialGradient prototype object inherits properties from the QGradient prototype object and also has the following properties.

- QPointF center()
- qreal centerRadius()
- QPointF focalPoint()
- qreal focalRadius()
- qreal radius()
- void setCenter(QPointF center)
- void setCenterRadius(qreal radius)
- void setFocalPoint(QPointF focalPoint)
- void setFocalRadius(qreal radius)
- void setRadius(qreal radius)

### Instance Properties

QRadialGradient objects have no special properties beyond those inherited from the QRadialGradient prototype object.